from random import shuffle

class Mot:
	def __init__(self,m):
		self.m = m
	
	def do_reverse(self):
        # renverse la chaîne 'm' 
		self.m = self.m[::-1]
		
	def do_shuffle(self):
		L = list(self.m)
		shuffle(L)
		self.m = ''.join(L)
		
	def value(self):
		return self.m